Package com.collibra.dgc.core.api.component.validation

# Interface ValidationApi

public interface ValidationApi
Contains functionality related to the validation of assets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PagedResponse<ValidationResult>`
  `findValidationResults(FindValidationResultRequest findValidationResultRequest)`
  Searches the validation results according to the given criteria in the FindValidationResultRequest object.
  `List<ValidationResult>`
  `validate(UUID assetId)`
  Validates the asset identified by the given assetId.
  `Job`
  `validateInJob(ValidateInJobRequest validateInJobRequest)`
  Validates the assets asynchronously as described by the validationInJobRequest.

- ## Method Details

  - ### findValidationResults

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<ValidationResult> findValidationResults(FindValidationResultRequest findValidationResultRequest)
    Searches the validation results according to the given criteria in the FindValidationResultRequest object.
    Parameters:
      `findValidationResultRequest` - describes the criteria for the find
    Returns:
      A PagedResponse of ValidationResult

  - ### validateInJob

    Job validateInJob(ValidateInJobRequest validateInJobRequest)
    Validates the assets asynchronously as described by the validationInJobRequest.
    Parameters:
      `validateInJobRequest` - describes the validation
    Returns:
      the Job representing the async validation process. The status can be checked using
      invalid reference

          com.collibra.job.api.internal.InternalJobRunnerService

  - ### validate

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionCountFormatter.class) List<ValidationResult> validate(UUID assetId)
    Validates the asset identified by the given assetId.
    Parameters:
      `assetId` - the unique identifier of the asset to be validated
    Returns:
      the list of validation results